---
title: Provisioning
url: https://docs.vultr.com/products/network/cdn-push-zone/provisioning
description: The process of setting up and configuring a new server or service to make it ready for use.
publish_date: 2024-09-23T20:21:08.903718Z
last_updated: 2026-05-26T20:15:34.390437Z
---

# How to Provision Vultr CDN Push Zones

Vultr CDN Push Zones allow you to directly upload your content to the CDN, which is then stored on Vultr's edge servers for rapid delivery to users around the world. With 32 global locations available, you can ensure that your content is served quickly and efficiently from the nearest edge server. Additionally, Push Zones support custom domain functionality, enabling you to serve content under your own branded domain while leveraging the performance and scalability of Vultr’s CDN.

Follow this guide to provision Vultr CDN Push Zones on your Vultr account using the Vultr Console, API, or CLI.

=== "Vultr Console"

    1. Navigate to **Products**, click **CDN**, and then click **Push Zones**.
    1. Click **Add CDN Push Zone**.
    1. Provide a **Label**.
    1. Optional: Enable features such as **Cross-Origin Resource Sharing (CORS)**, **Gzip**, **Block AI Bots**, and **Block Potentially Malicious Bots**.
    1. Optional: Provide a **Custom Domain** along with its Domain-validated Certificate(SSL/TLS) and Secret Key files.
    1. Click **Add CDN Push Zone**.

=== "Vultr API"

    1. Send a `POST` request to the [**Create CDN Push Zones** endpoint](https://www.vultr.com/api/#tag/CDNs/operation/create-pushzone) to create a CDN Push Zone subscription.

        ```console
        $ curl "https://api.vultr.com/v2/cdns/push-zones" \
            -X POST \
            -H "Authorization: Bearer ${VULTR_API_KEY}" \
            -H "Content-Type: application/json" \
            --data '{
                "label": "{label}",
                "vanity_domain": "{custom-vanity-domain}",
                "ssl_cert": {BASE64_ENCODED_SSL_CERT_CONTENT}",
                "ssl_cert_key": "{BASE64_ENCODED_SSL_KEY_CONTENT}",
                "cors": false,
                "gzip": false,
                "block_ai": false,
                "block_bad_bots": false
            }'
        ```

    1. Send a `GET` request to the [**List CDN Push Zones** endpoint](https://www.vultr.com/api/#tag/CDNs/operation/list-pushzones) to list all the available Vultr CDN Push Zone subscriptions.

        ```console
        $ curl "https://api.vultr.com/v2/cdns/push-zones" \
            -X GET \
            -H "Authorization: Bearer ${VULTR_API_KEY}"
        ```

=== "Vultr CLI"

    1. Create a CDN Push Zone subscription.

        ```console
        $ vultr-cli cdn push create --label "<label>"
        ```
        
        Run `vultr-cli cdn push create --help` to view additional options for enabling features like **Cross-Origin Resource Sharing (CORS)**, **Gzip**, **Block AI Bots**, and **Block Potentially Malicious Bots**.

    1. List all available CDN Push Zone subscriptions.

        ```console
        $ vultr-cli cdn push list
        ```
